org.apache.hadoop.mapreduce.jobhistory

## Class TaskFailed

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.hadoop.mapreduce.jobhistory.TaskFailed

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord

      public class TaskFailed
      extends org.apache.avro.specific.SpecificRecordBase
      implements org.apache.avro.specific.SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskFailed.Builder` RecordBuilder for TaskFailed instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `JhCounters` | `counters` Deprecated.
    `CharSequence` | `error` Deprecated.
    `CharSequence` | `failedDueToAttempt` Deprecated.
    `long` | `finishTime` Deprecated.
    `static org.apache.avro.Schema` | `SCHEMA$`
    `CharSequence` | `status` Deprecated.
    `CharSequence` | `taskid` Deprecated.
    `CharSequence` | `taskType` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskFailed()` Default constructor.
    `TaskFailed(CharSequence taskid, CharSequence taskType, Long finishTime, CharSequence error, CharSequence failedDueToAttempt, CharSequence status, JhCounters counters)` All-args constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `static org.apache.avro.Schema` | `getClassSchema()`
    `JhCounters` | `getCounters()` Gets the value of the 'counters' field.
    `CharSequence` | `getError()` Gets the value of the 'error' field.
    `CharSequence` | `getFailedDueToAttempt()` Gets the value of the 'failedDueToAttempt' field.
    `Long` | `getFinishTime()` Gets the value of the 'finishTime' field.
    `org.apache.avro.Schema` | `getSchema()`
    `CharSequence` | `getStatus()` Gets the value of the 'status' field.
    `CharSequence` | `getTaskid()` Gets the value of the 'taskid' field.
    `CharSequence` | `getTaskType()` Gets the value of the 'taskType' field.
    `static TaskFailed.Builder` | `newBuilder()` Creates a new TaskFailed RecordBuilder
    `static TaskFailed.Builder` | `newBuilder(TaskFailed.Builder other)` Creates a new TaskFailed RecordBuilder by copying an existing Builder
    `static TaskFailed.Builder` | `newBuilder(TaskFailed other)` Creates a new TaskFailed RecordBuilder by copying an existing TaskFailed instance
    `void` | `put(int field$, Object value$)`
    `void` | `setCounters(JhCounters value)` Sets the value of the 'counters' field.
    `void` | `setError(CharSequence value)` Sets the value of the 'error' field.
    `void` | `setFailedDueToAttempt(CharSequence value)` Sets the value of the 'failedDueToAttempt' field.
    `void` | `setFinishTime(Long value)` Sets the value of the 'finishTime' field.
    `void` | `setStatus(CharSequence value)` Sets the value of the 'status' field.
    `void` | `setTaskid(CharSequence value)` Sets the value of the 'taskid' field.
    `void` | `setTaskType(CharSequence value)` Sets the value of the 'taskType' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final org.apache.avro.Schema SCHEMA$

    - #### taskid

          @Deprecated
          public CharSequence taskid

      Deprecated.

    - #### taskType

          @Deprecated
          public CharSequence taskType

      Deprecated.

    - #### finishTime

          @Deprecated
          public long finishTime

      Deprecated.

    - #### error

          @Deprecated
          public CharSequence error

      Deprecated.

    - #### failedDueToAttempt

          @Deprecated
          public CharSequence failedDueToAttempt

      Deprecated.

    - #### status

          @Deprecated
          public CharSequence status

      Deprecated.

    - #### counters

          @Deprecated
          public JhCounters counters

      Deprecated.

  - ### Constructor Detail

    - #### TaskFailed

          public TaskFailed()

      Default constructor. Note that this does not initialize fields to their default values from the schema. If that is desired then one should use `newBuilder()`.

    - #### TaskFailed

          public TaskFailed(CharSequence taskid,
                            CharSequence taskType,
                            Long finishTime,
                            CharSequence error,
                            CharSequence failedDueToAttempt,
                            CharSequence status,
                            JhCounters counters)

      All-args constructor.

  - ### Method Detail

    - #### getClassSchema

          public static org.apache.avro.Schema getClassSchema()

    - #### getSchema

          public org.apache.avro.Schema getSchema()

      Specified by:
        `getSchema` in interface `org.apache.avro.generic.GenericContainer`
      Specified by:
        `getSchema` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `get` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### put

          public void put(int field$,
                          Object value$)

      Specified by:
        `put` in interface `org.apache.avro.generic.IndexedRecord`
      Specified by:
        `put` in class `org.apache.avro.specific.SpecificRecordBase`

    - #### getTaskid

          public CharSequence getTaskid()

      Gets the value of the 'taskid' field.

    - #### setTaskid

          public void setTaskid(CharSequence value)

      Sets the value of the 'taskid' field.
      Parameters:
        `value` - the value to set.

    - #### getTaskType

          public CharSequence getTaskType()

      Gets the value of the 'taskType' field.

    - #### setTaskType

          public void setTaskType(CharSequence value)

      Sets the value of the 'taskType' field.
      Parameters:
        `value` - the value to set.

    - #### getFinishTime

          public Long getFinishTime()

      Gets the value of the 'finishTime' field.

    - #### setFinishTime

          public void setFinishTime(Long value)

      Sets the value of the 'finishTime' field.
      Parameters:
        `value` - the value to set.

    - #### getError

          public CharSequence getError()

      Gets the value of the 'error' field.

    - #### setError

          public void setError(CharSequence value)

      Sets the value of the 'error' field.
      Parameters:
        `value` - the value to set.

    - #### getFailedDueToAttempt

          public CharSequence getFailedDueToAttempt()

      Gets the value of the 'failedDueToAttempt' field.

    - #### setFailedDueToAttempt

          public void setFailedDueToAttempt(CharSequence value)

      Sets the value of the 'failedDueToAttempt' field.
      Parameters:
        `value` - the value to set.

    - #### getStatus

          public CharSequence getStatus()

      Gets the value of the 'status' field.

    - #### setStatus

          public void setStatus(CharSequence value)

      Sets the value of the 'status' field.
      Parameters:
        `value` - the value to set.

    - #### getCounters

          public JhCounters getCounters()

      Gets the value of the 'counters' field.

    - #### setCounters

          public void setCounters(JhCounters value)

      Sets the value of the 'counters' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static TaskFailed.Builder newBuilder()

      Creates a new TaskFailed RecordBuilder

    - #### newBuilder

          public static TaskFailed.Builder newBuilder(TaskFailed.Builder other)

      Creates a new TaskFailed RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static TaskFailed.Builder newBuilder(TaskFailed other)

      Creates a new TaskFailed RecordBuilder by copying an existing TaskFailed instance

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.